package org.project.entity.enemies;

import org.project.entity.Entity;
import org.project.item.weapons.Sword;

public class Dragon extends Enemy {
    public Dragon() {
        super("Dragon", 120, 0, new Sword(), "Dragon Core");
        this.xpReward = 200;
    }

    @Override
    public void attack(Entity target) {
        if (isStunned) {
            System.out.println("💫 Dragon is stunned and skipped turn!");
            isStunned = false;
            return;
        }

        System.out.println("🐉🔥 Dragon used \u001B[31mFiery Breath!\u001B[0m (Bypasses defenses!)");
        target.takeDamage(22);
    }
}